v2.1.3 (19 октября 2025):
* Analog Generator: новая опция "всегда играть Осц2" (играть дополнительный осциллятор, даже если Осц2=0);
* Modulator: Макс. задержка ФМ (Фазовая Модуляция): добавлены значения 8, 16 и 32 сек;
* Modulator: новый контроллер "интерполяция ФМ";
* MetaModule: новые кнопки в редакторе пользовательских контроллеров: "]+" - добавить после; "+[" - добавить перед;
* Sampler: новый контроллер "Реверс" позволяет играть сэмпл в обратную сторону; ограничение: если включена петля, то в режиме реверса позиция проигрывания сразу перескакивает внуть петли;
* экспорт в аудио файл: новая опция "бесшовная петля (луп)" (хвост с конца проекта будет подмешан в начало файла);
* свойства контроллера: добавлена кнопка "записать все в паттерн";
* свойства контроллера: теперь для десятичного и шестнадцатеричного значений предусмотены отдельные поля ввода;
* новые кнопки в редакторе иконки паттерна: INV (инвертировать цвета), Новый (сгенерировать новую иконку), Скопировать, Вставить;
* выделение текста в полях ввода (пока только для устройств с физической клавиатурой); доступные сочетания клавиш: SHIFT+СТРЕЛКИ; SHIFT+INS/DEL; CTRL+A/X/C/V;
* префиксы в полях ввода для преобразования из одной системы счисления в другую: 0xЧИСЛО - из шестнадцатеричной в десятичную; 0tЧИСЛО - из десятичной в шестнадцатеричную;
* новое сочетания клавиш (по умолчанию не назначено) для редактора модулей: записать значения всех контроллеров модуля в текущий паттерн;
* теперь на каждую панель инструментов можно добавлять не только кнопки из стандартного набора, но и любые сочетания клавиш; подробности в changelog_details_ru.txt и на сайте: https://warmplace.ru/soft/sunvox/manual_ru.php#toolbars
* Android: новая опция: Настройки -> Основные -> Расширенный доступ к файлам; позволяет без ограничений писать и читать почти любые папки (за исключением системных) на внутренней и внешней картах памяти; например, это удобно для работы с коллекцией сэмплов в общей папке, с которой могут работать несколько музыкальных приложений;
  к сожалению, в Google Play выложена версия без данной опции (Google не одобрил использование разрешения MANAGE_EXTERNAL_STORAGE); пожалуйста, устанавливайте APK файл напрямую с сайта, если вам необходима эта функция: https://warmplace.ru/temp/SunVox.apk
* исправлены ошибки.
v2.1.2c (22 декабря 2024):
* iOS: исправлены ошибки.
v2.1.2b (14 декабря 2024):
* исправлены ошибки.
v2.1.2 (15 октября 2024):
* новый модуль Smooth - пытается повторить волну входящего сигнала, сглаживая резкие перепады в соответствии с параметрами ПОДЪЕМ и СПАД;
* новые типы модуляции в модулях FMX и Analog Generator (Осц2 режим):
  - min abs: if( abs(in2) < abs(in1) ) out = in2; else out = in1;
  - max abs: if( abs(in2) > abs(in1) ) out = in2; else out = in1;
* Modulator: добавлены дополнительные типы модуляции, как в FMX и Analog Generator;
* MetaModule: новые опции: (см. simple_examples/metamodule options 78,79.sunvox)
  - 79 - игнорировать эффект 31 (переход на строку XXYY) после отжатия последней ноты; работает только если "Играть паттерны" >= 3;
  - 78 - перейти на паттерн с именем "RL" после отжатия последней ноты; работает только если "Играть паттерны" >= 3;
* LFO: улучшенное качество волновых форм "пила", "треугольная" и "случайная плавная" (26 бит вместо 15);
* Filter Pro: максимум контроллера "Крутизна" увеличен до 96дБ;
* Filter Pro: начиная с версии 2.1.2 контроллер "Крутизна" влияет в том числе на тип фильтра "фазовый"; см. simple_examples/freq dispersion.sunvox;
* Reverb: добавлен улучшенный тип фазового фильтра, который почти не влияет на амплитуды частот исходного сигнала; выбирается контроллером 8;
* Delay: новый контроллер "Отрицательная обратная связь" меняет знак обратной связи;
* Delay: новый контроллер "Фазовый фильтр" переключает Delay в режим фазового фильтра, где порядок фильтра - это длина задержки в отсчетах;
* Glide: новые контроллеры "Октава", "Множитель частоты" и "Делитель частоты";
* MultiCtl: добавлена кнопка "Установить" для точной установки значений кривой;
* MultiCtl: добавлена кнопка "+" (напротив номера контроллера) - она создает дополнительный выходной слот и позволяет управлять несколькими контроллерами внутри одного модуля; см. simple_examples/multictl.sunvox;
* Pitch Detector: новый алгоритм - "пик спектра"; очень точно определяет частоту гармоники с максимальной амплитудой; подходит для сигналов с ярко выраженной основной гармоникой;
* Pitch Detector: дополнительная информация под контроллерами: частота входящего сигнала; диапазон частот; частота ноты на выходе;
* Pitch Detector: максимальные детектируемые частоты для алгоритмов 1 и 2 - это 2000 Гц и 1000 Гц; но данные значения удвоятся, если выполнятся следующие условия: Базовая версия >= 2.1.2; Частота НЧ фильтра == 0; Алг1-2 Частота дискретизации >= 44100;
* Sampler: новый контроллер "Запись" (стоп/пауза/старт записи); см. simple_examples/sampler rec automation.sunvox;
* редактор сэмпла: добавлена функция "Установить начало" (позиция, с которой сэмпл будет начинать играть);
* редактор сэмпла: добавлены функции "Подстроить под длину (без ресэмплинга)" (меню редактора -> Прочее) - позволяет задать ноту, на которой сэмпл будет точно вписываться в указанную длину;
* редактор сэмпла: добавлены функции "Конвертировать в 8/16/32бита" (меню редактора -> Прочее);
* редактор сэмпла: настройки отображения (в меню) позволяют задавать, в каких единицах (отчеты, секунды, тики и т.д.) показывать положение курсора и размер выделения;
* редактор сэмпла: добавлена кнопка "Играть" (начиная с позиции курсора, без огибающих);
* редактор сэмпла: улучшенное отображение сэмпла (показываются все пики; самый точный результат будет в версиях arm64 и x86_64+SSSE3 (OpenGL));
* редактор сэмпла: в окне "Создать новый сэмпл" добавлена возможность указывать длину в строках и секундах;
* редактор сэмпла: в окне "Ресэмплировать" добавлены следующие параметры: тип интерполяции, длина в строках и секундах, опция "Изменить длину без ресэмплинга";
* эффект 34 (в колонке EE): добавлена опция 8 - включает 7-битный вывод для всех MIDI-контроллеров, даже если контроллер 14-битный (0-31);
* новые сочетания клавиш (по умолчанию не назначены):
  - предыдущая планировка;
  - следующая планировка;
  - планировка: обычная;
  - планировка: таймлиния;
  - планировка: редактор паттерна;
  - планировка: модули + контроллеры;
  - планировка: контроллеры;
  - планировка: модули;
* новые сочетания клавиш (по умолчанию не назначены) для редактора модулей:
  - вкл/выкл режима LINK (соединение модулей);
* новые сочетания клавиш (по умолчанию не назначены) для таймлинии:
  - следующий паттерн по горизонтали;
  - предыдущий паттерн по горизонтали;
  - следующий паттерн по вертикали;
  - предыдущий паттерн по вертикали;
* новые сочетания клавиш (по умолчанию не назначены) для кисти:
  - проиграть текущую ноту (в редакторе паттерна), скопировать в кисть и перейти на следующую строку;
  - проиграть текущую строку (в редакторе паттерна), скопировать в кисть и перейти на следующую строку;
* новые опции в sunvox_config.ini:
  - no_clog - выключить вывод лога (отладочных сообщений) в консоль;
  - no_flog - выключить вывод лога в файл; см. также соотв. опции командной строки -ncl и -nfl;
  - jack_nodefin - не создавать входящие звуковые соединения по умолчанию для JACK;
  - jack_nodefout - не создавать исходящие звуковые соединения по умолчанию для JACK;
  - jack_drmin - не сохранять MIDI IN соединения для JACK;
* файловый диалог теперь запоминает позицию в каждой папке;
* поддержка колеса прокрутки мыши на Android;
* Windows: новый звуковой драйвер DirectSound2 позволяет уменьшить размер буфера до 512 - это может быть полезным, если вы не можете использовать ASIO по какой-то причине;
* 64-битные версии (не OpenGL) теперь могут запускаться на процессорах без поддержки SSSE3;
* новые модули и примеры (см. changelog_files.txt);
* исходники библиотеки SunVox для разработчиков теперь открыты: https://warmplace.ru/soft/sunvox/sunvox_lib.php
* исправлены ошибки, внесены улучшения для более удобной и стабильной работы.
v2.1.1c (29 ноября 2023):
* Sampler: новый контроллер "Длина тика" (влияет на длину огибающих);
* новый пример: NightRadio - Frozen;
* исправлены ошибки.
v2.1.1b (1 ноября 2023):
* исправлена ошибка с сохранением сэмпла в OGG.
v2.1.1 (22 октября 2023):
* версии iOS ниже 12 больше не поддерживаются;
* теперь на ВСЕХ платформах можно также грузить сэмплы в следующих форматах: 64-bit WAV/AIFF, OGG (Vorbis), MP3, FLAC;
* экспорт в форматы FLAC и OGG (Vorbis);
* Modulator: повышена точность работы фазовой модуляции (но только, если в свойствах проекта указана версия SunVox 2.1.1 и выше);
* Modulator: новый контроллер "Макс. задержка фазовой модуляции";
* Vorbis player: новый контроллер "Без Note OFF" (играть каждую ноту бесконечно);
* MetaModule: новая опция "Авто BPM/TPL" (синхронизировать BPM и TPL модуля с BPM и TPL родительского проекта);
* редактор паттерна: новая функция "Синхрон. с таймлинией" - синхронизировать курсор паттерна с курсором таймлинии (+shortcut, не назначен по умолчанию);
* таймлиния: новая функция "Синхрон. с ред.паттерна" - синхронизировать курсор таймлинии с курсором редактора паттерна (+shortcut, не назначен по умолчанию);
* редактор сэмпла: добавлена функция "Моно в стерео" (меню редактора -> Прочее);
* автоповтор в экранной текстовой клавиатуре;
* новые модули и примеры (см. changelog_files.txt);
* исправлены ошибки.
v2.1c (15 марта 2023):
* исправлены ошибки (в т.ч. несколько багов в коде USB MIDI на Android).
v2.1b (7 февраля 2023):
* Loop: новый контроллер "При вкл.ноты" (перезапуск с переходом в нулевую итерацию (запись);перезапуск текущей итерации); см. simple_examples/loop4.sunvox;
* эффект 34 (в колонке EE): новое значение 4 - включает использование циклического алгоритма Round-robin для распределения треков клавиатуры; иногда это может требоваться при живой игре на модуле MultiSynth с опцией "триггер"; но в данном режиме может некорректно работать кисть;
* исправлены ошибки.
v2.1 (1 февраля 2023):
* iOS: теперь интерфейс рисуется в высоком разрешении; чтобы вернуться в старый режим (на некоторых устройствах это даст прирост FPS), нажмите Настройки -> Интерфейс -> Низкое разрешение;
* iOS: Настройки -> Звук -> Доп. опции: новая опция "Без обработки звука системой" отключает системную обработку сигнала на входе и выходе программы;
* версии iOS ниже 11 больше не поддерживаются;
* версии macOS ниже 10.13 больше не поддерживаются;
* Wi-Fi экспорт/импорт теперь доступен и на Android;
* иконки высокого разрешения;
* шрифты высокого разрешения с дробным масштабированием (только в OpenGL версии, включая iOS, Android, macOS, Windows и Linux); эти функции можно отключить в Настройках -> Интерфейс -> Шрифты;
* оптимизация звукового движка;
* Distortion: новый тип "насыщение" (добавление нечетных гармоник) + пять его вариаций;
* MultiSynth: новая опция "Номер выходного порта = случайный" (три алгорима на выбор);
* Loop: новый контроллер "Единица длины" (строка/128;строка;строка/2;строка/3;тик;мс;Гц);
* Loop: новый контроллер "Максимальный размер буфера" (в секундах) для защиты от выделения слишком больших блоков памяти;
* Loop: максимум контроллера "Повтор" увеличен до 128 (128 = повторять бесконечно);
* новые типы кривых в модулях ADSR и FMX: прямоугольная; прямоугольная+сглаживание; 2-bit (линейная); 3-bit; 4-bit; 5-bit;
* меню редактора модулей: новая функция "Кнопки Mute/Solo" для вкл/выкл кнопок Bypass/Mute/Solo под каждым модулем;
* музыкальная клавиатура: добавлена панель дополнительных функций и настроек; чтобы открыть - увеличьте высоту клавиатуры и нажмите появившуюся кнопку "+";
* настройки музыкальной клавиатуры: тип (классическая, равномерная, свободная (любые частоты)), кол-во рядов, ширина клавиш, инверсия цветов, автоповтор;
* новый способ редактирования паттерна - рисование кистью; для открытия инструментов рисования войдите в меню редактора паттерна и выберите пункт "Рисовать";
* более подробное описание работы с кистью смотрите в файле changelog_details_ru.txt или на сайте https://warmplace.ru/soft/sunvox/manual_ru.php#pdraw
* новые функции в меню редактора паттерна: скопировать в кисть; перевернуть; рисовать (открывает окно инструментов рисования паттерна);
* Настройки -> Таймлиния: добавлена опция "шестнадцатеричные номера треков";
* Настройки -> Панели: здесь можно настраивать (добавлять/удалять) кнопки на горизонтальных разделителях; см. changelog_details_ru.txt или https://warmplace.ru/soft/sunvox/manual_ru.php#toolbars
* меню редактора паттерна -> Переназначить: номер модуля -1 = все модули;
* более детальные названия паттернов после живой записи;
* новый эффект для колонки EE в паттерне: 35 - привязать MIDI OUT сообщение XX (0 - Program Change; 1 - Channel Pressure; 2 - Pitch Bend Change) к контроллеру YY (0 - выкл; 0x80 - MIDI контроллер 0; 0x81 - MIDI контроллер 1...); только для указанного модуля;
* новая специальная команда паттерна: "XX" - остановить модуль и переключить его в режим ожидания;
* новые сочетания клавиш (по умолчанию не назначены), открывающие окна соответствующих инструментов в редакторе паттерна:
  * интерполировать;
  * транспонировать;
  * циклический сдвиг;
  * установить эффект;
  * рисовать;
* новые сочетания клавиш (по умолчанию не назначены) для редактора паттерна:
  * очистить;
  * сжать паттерн /2;
  * растянуть паттерн *2;
  * разрезать по курсору;
  * перевернуть;
  * свойства паттерна;
  * показать/скрыть колонки CCEEXXYY;
  * масштаб;
  * вставить команду "Остановить модуль" (XX) для переключения модуля в режим ожидания;
* новые сочетания клавиш для работы с кистью:
  * CTRL+E - проиграть текущую ноту (в редакторе паттерна) и скопировать в кисть;
  * CTRL+L - проиграть ноты текущей строки (в редакторе паттерна) и скопировать в кисть;
  * проиграть первую строку кисти (по умолчанию не назначено);
  * скопировать выделенный участок паттерна в кисть (по умолчанию не назначено);
  * CTRL+G - вставить из кисти;
* новые инструменты и эффекты в папках instruments и effects;
* новые примеры:
  * examples/sunvox_compo - победители конкурса SunVox Compo 2022.02: fuzion_mixer & Logickin - Synthonic Voyage, RobloxFan75000 - Hypermatic, PhilipBergwerf - We want Peace;
  * NightRadio - Cycles of Light;
* обновленная версия библиотеки SunVox для разработчиков: https://warmplace.ru/soft/sunvox/sunvox_lib.php
* исправлены ошибки.
v2.0e (5 марта 2022):
* исправлены ошибки (Generator, интерфейс).
v2.0d (14 февраля 2022):
* исправлены ошибки (интерфейс).
v2.0c (31 января 2022):
* исправлены ошибки (LFO, Delay, интерфейс).
v2.0b (26 января 2022):
* исправлены ошибки.
v2.0 (23 января 2022):
* iOS 11+: AUv3-версия SunVox теперь может посылать MIDI сообщения (ноты и cc) другим AU модулям;
* iOS 13.4+: полная поддержка USB/Bluetooth клавиатуры (как на десктопах);
* множественное выделение модулей (см. changelog_details_ru.txt) + возможность сохранять несколько выделенных модулей в sunvox файл;
* режим супертреков на таймлинии (см. changelog_details_ru.txt и simple_examples/supertracks.sunvox);
* улучшенный импорт старых трекерных форматов XM и MOD;
* новый модуль - FMX: 5-операторный синтезатор на основе алгоритма частотной модуляции;
* новый модуль - FFT: преобразователь частот на базе алгоритма FFT;
* оптимизация звукового движка;
* имя текущего файла теперь отображается в заголовке окна приложения;
* редактор таймлинии и модулей: пункт меню "Выделить все" заменен на "Выделить все / снять выделение";
* меню таймлинии: новая опция "Вертикальный режим";
* меню таймлинии: новые функции "Загрузить" и "Сохранить" для загрузки/сохранения выделенных паттернов в sunvox файл;
* меню таймлинии: новая функция "Отцепить" для превращения клона в обычный паттерн;
* меню редактора модулей: новая функция "Отцепить" для отключения выделенных модулей от остальных;
* меню редактора модулей: новая функция "Упаковать в MetaModule" для упаковки выделенных модулей в один MetaModule;
* теперь можно удалять модули с сохранением связей;
* свойства паттерна: добавлены поля X и Y с точными координатами паттерна на таймлинии;
* свойства модуля: добавлены поля X и Y с точными координатами модуля;
* визуализатор модуля: добавлена опция осциллографа "Синхронизация фазы"; позволяет увидеть период волны модуля;
* визуализатор модуля: добавлены кнопки "сброс", "применить", "скопировать", "вставить";
* ADSR->Удержание: добавлено значение "Повтор" (повторять огибающую до тех пор, пока модуль не будет остановлен);
* ADSR->Плавные переходы: добавлено значение "изменение громкости" (громкость меняется плавно, но старт огибающей никак не сглаживается);
* Amplifier: новый контроллер "Биполярное DC смещение";
* Analog Generator: контроллер "Частота2" переименован в "Осц2" (отклонение высоты тона дополнительного осциллятора);
* Analog Generator: новый контроллер "Осц2 громкость" - громкость дополнительного осциллятора;
* Analog Generator: новый контроллер "Осц2 режим" - режим микширования основного и дополнительного осцилляторов (сложение;вычитание;умножение;min;max;побитовое И (AND);побитовое исключающее ИЛИ (XOR));
* Analog Generator: новый контроллер "Осц2 фаза" - стартовая фаза дополнительного осциллятора;
* Analog Generator: новая опция "Повышенная точность вычисления частоты";
* Delay: новый контроллер "Множитель длины задержки";
* Delay: новые значения контроллера "Единица задержки": сек/44100, сек/48000, отсчет;
* Delay: максимальная длина задержки увеличена до 60 секунд;
* Delay: новый контроллер "Обратная связь" (работает как для звука, так и для событий);
* Echo: новый контроллер "Смещение правого канала" (насколько смещать правый канал относительно левого по времени);
* Echo: новый контроллер "Фильтр";
* Echo: новый контроллер "Ф.частота" (частота фильтра);
* Filter Pro: новые режимы "стерео + сглаживание" и "моно + сглаживание" для дополнительного сглаживания изменений параметров;
* Filter Pro: новые типы фильтров "нижних 6дБ" и "верхних 6дБ";
* LFO: новый контроллер "Качество синусоиды";
* MetaModule->Играть паттерны: добавлены значения "вкл (повтор без выкл)" и "вкл (один раз без выкл)";
* MetaModule: количество пользовательских контроллеров увеличено до 96;
* MetaModule: цвет контроллера можно менять, если добавить в начале имени "@X", где X - это номер группы от 0 до F; каждая группа имеет свой цвет; изменить цвета групп (c_cgp0, c_cgp1 и т.д.) можно в файле sunvox_config.ini
* MultiSynth: новая опция "Номер выходного порта = round-robin (цикл)";
* Sampler: новая опция "Повышенная точность вычисления частоты";
* FM, SpectraVoice, Kicker, DrumSynth: сглаживание щелчков при резкой смене громкости и нехватке каналов полифонии;
* FM: контроллер "М.Обр.связь" переименован в "М.Самомодуляция";
* Vocal Filter: новые контроллеры "Случайная частота" и "Случайная вариация";
* Vocal Filter: новые контроллеры "Гласная1", "Гласная2", "Гласная3", "Гласная4", "Гласная5";
* эффект 1C будет работать немного иначе, если заполнять его параметр в формате 10YY - это приведет к сбросу динамики в 0 через YY тиков; (обычный параметр 00YY выключает ноту (note off) через YY тиков);
* новые эффекты для колонки EE в паттерне:
  * 1A - повышение/понижение динамики (XX - скорость повышения; YY - скорость понижения) один раз в начале строки;
  * 33 - синхронизация слотов для функции sv_sync_resume() в библиотеке SunVox;
  * 34 - установить (XX) или сбросить (YY) опции проекта: 1 - не делать плавное изменение тона на первом тике; 2 - не делать плавное изменение динамики на первом тике; (для совместимости со старыми трекерными форматами);
  * 3C - скопировать трек XX из паттерна с именем YY; например, если XXYY=0023, то из паттерна с именем "23" скопируется первый трек;
  * 3D - записать случайное число в трек YY; минимум, максимум и номер колонки должны быть установлены в треке 0 начиная со строки XX в полях XXYY; см. пример "pat effect 3D random value";
         (номера колонок: 0 - NN; 1 - VV; 2 - MM; 3 - CC; 4 - EE; 5 - XX; 6 - YY; 7 - XXYY);
* более корректный алгоритм работы функций Mute и Solo для модулей;
* дополнительные версии с поддержкой OpenGL для Windows и Linux;
* новые опции в sunvox_config.ini: цвета групп контроллеров c_cgp0, c_cgp1 и т.д.;
* новые опции в sunvox_config.ini: цвета слоев модулей c_layer0, c_layer1 и т.д.;
* новые опции в sunvox_config.ini: c_pbtn, c_pbtn_op, c_pscroll, c_pateditor_level, c_pateditor_cursor, show_sel_btn, show_sbars, edit_mode;
* новые кривые в папке curves/MultiSynth/curve3 для разных равномерных темпераций (например, ET19 - 19 полутонов в октаве);
* новые инструменты и эффекты в папках instruments и effects;
* новые примеры (examples/sunvox_compo - победители конкурса SunVox Compo 2021.02): Logickin - Mech Haven, So_ingMachine - Some of our tracks cant be covered, kiberaver - electric dreams;
* новые примеры: NightRadio - Afterglow, NightRadio - Winter Is Coming;
* обновленная версия библиотеки SunVox для разработчиков: https://warmplace.ru/soft/sunvox/sunvox_lib.php
* исправлены ошибки.
v1.9.6c (15 декабря 2020):
* исправлены ошибки.
v1.9.6b (25 ноября 2020):
* исправлены ошибки.
v1.9.6 (24 ноября 2020):
* iOS: AUv3-версия SunVox теперь может использоваться в качестве эффекта (фильтра) внутри других музыкальных программ;
* оптимизация звукового движка;
* новый модуль - Pitch Detector для определения высоты тона входящего звукового сигнала; частота и нота выводятся на экран; ноты посылаются на выход модуля; см. пример "pitch correction (automatic tuning)";
* новый модуль - ADSR (генератор огибающей); см. примеры adsr, adsr2, adsr3;
* новый модуль - Ctl2Note для конвертации значения контроллера в ноту (на входе - автоматизация, на выходе - ноты); см. пример ctl2note;
* Analog Generator: новая форма волны "гармоники" позволяет рисовать распределение гармоник; ВАЖНО: если все гармоники включены, то модуль будет работать в 32 раза медленнее, чем генератор синусоиды; нагрузку на процессор можно немного уменьшить, установив режим LQmono и уменьшив полифонию;
* SpectraVoice: новые типы гармоник: обертоны1+, обертоны2+, обертоны3+, обертоны4+, металл;
* LFO: новый контроллер "Масштаб частоты" (в процентах) - для замедления или ускорения колебаний;
* LFO: новый контроллер "Плавные переходы" - для включения/выключения плавных переходов (без щелчков) внутри волны;
* Generator, Kicker, SpectraVoice: увеличено разрешение (точность) контроллеров Атака и Затухание; (при условии, что в свойствах проекта стоит базовая версия 1.9.6 или выше);
* Sound2Ctl: новая опция "Посылать только измененные значения";
* MultiSynth: новая опция "Округлять ноту (ось X на кривой3) до ближайшего целого значения";
* MultiSynth: новая опция "Округлять высоту тона (ось Y на кривой3) до ближайшей";
* MultiSynth: новая опция "Запись нот в звукоряд (кривая3)"; см. пример "dynamic scale";
* MultiSynth: новая опция "Выходная нота = выходная нота - входная нота + C5" (разница между нотой на выходе и входе);
* MultiSynth: новая опция "Номер выходного порта = нота % кол-во подключенных выходов"; (% - операция нахождения остатка от деления); см. пример "drumkit 3 (multisynth)"
* MultiSynth: новая опция "Номер выходного порта = канал полифонии % кол-во подключенных выходов";
* MultiSynth: новая кривая 3, описывающая зависимость выходной высоты тона от входящей ноты;
* MetaModule: новые опции "Принимать ноты с клавиатуры" и "Не принимать ноты с клавиатуры";
* MetaModule -> Контроллеры, назначенные пользователем: добавлены кнопки редактирования (вставить,удалить,переместить вверх/вниз);
* Pitch shifter: входящие ноты меняют значение контроллера 02.Тон; нулю соответствует нота C5;
* Pitch shifter: новый контроллер "Играть оригинал, если тон=0" - играть исходный сигнал, если модуль не меняет высоту тона;
* MetaModule, MultiSynth, Sound2Ctl, Sampler, Analog Generator: доступ к опциям, как к контроллерам (номера смотри в списке опций);
* новый режим MIDI IN для модулей - "никогда" (никогда не принимать MIDI данные для данного модуля);
* всплывающие меню теперь поддерживают клавиши навигации вверх/вниз/влево/вправо/пробел/enter/escape, горизонтальную прокрутку (если меню не входит в экран) и подсветку текущего эффекта;
* новые эффекты для колонки EE в паттерне: 05 и 06 - отклонение высоты тона вверх/вниз от исходной ноты (один полутон = 100 (256dec));
* новые сочетания клавиш (shortcuts) для таймлинии: разрезать, mute, solo, unmute, установить начало повтора, привязка к сетке (по умолчанию не назначены);
* новая папка "curves" (файлы кривых для модулей MultiSynth, MultiCtl и WaveShaper);
* новые инструменты и эффекты в папках instruments и effects;
* новые примеры (examples/sunvox_compo - победители конкурса SunVox Compo 2020.02): Trackerbound - Alpha Ursae Minoris, Trackerbound - Silentium, manganoid - Lazy Thunder, SawZer - Phantom;
* исправлены ошибки.
v1.9.5d (20 февраля 2020):
* исправлены ошибки.
v1.9.5c (6 февраля 2020):
* исправлены ошибки.
v1.9.5b (24 января 2020):
* iOS (AU): добавлены недостающие файлы.
v1.9.5 (23 января 2020):
* Android 6+: поддержка USB MIDI устройств;
* Android: поддержка архитектур arm64 и x86_64; версии Android ниже 4.1 больше не поддерживаются;
* Android: теперь SunVox остается работать в фоновом режиме после закрытия окна; чтобы полностью остановить приложение - используйте пункт меню "Выход" или кнопку "Назад" вместо "Домой";
* iOS: Audio Unit Extension (AUv3 instrument) - синтезатор SunVox можно использовать в любых приложениях с поддержкой AU;
* iOS: дополнительные функции экспорта/импорта (в главном меню), предоставляемые системой;
* расширенная поддержка MIDI синхронизации: прием команд Start/Stop/Continue, MIDI Clock, Song Position Pointer;
* поддержка 65534 модулей в проекте и 32 треков в паттерне;
* оптимизация графического и звукового движков;
* Distortion: новый тип "переполнение2" (симметричное переполнение);
* Loop: теперь входящие ноты перезапускают этот модуль;
* Delay теперь задерживает не только звук, но и звуковые сообщения (нота, высота тона, фаза, динамика);
* MultiSynth: новая опция "Генерировать пропущенные Note OFF";
* редактор паттерна: новая функция "Циклический сдвиг";
* новые эффекты для колонки EE в паттерне:
  * 15 - смена транспозиции и подстройки модуля; XX - транспозиция (00 = не менять; 01 = -127; 80 = 0; FF = 127); YY - подстройка (00 - не менять; 01 = ниже на полутон; 80 = 0; FF = выше на полутон);
  * 31 - перейти на строку XXYY сразу после завершения текущей строки;
  * 32 - установить режим перехода YY: 0 - абсолютный, относительно начала таймлинии (по умолчанию); 1 - ( начало паттерна + строка перехода ); 2 - ( начало паттерна - строка перехода ); 3 - ( следующая строка + строка перехода ); 4 - ( следующая строка - строка перехода );
* набор деструктивных эффектов, которые необратимо меняют содержимое паттерна:
  * 38 - удалить событие в треке XX с вероятностью YY (00..FF(100%)); см. пример simple_examples/pat effect 38 self destructive.sunvox
  * 39 - циклический сдвиг трека XX вниз на YY строк;
  * 3A - сгенерировать очередную итерацию полиритма из YY строк на треке XX; см. пример simple_examples/pat effect 3A polyrhythm.sunvox;
  * 3B - скопировать трек XX в паттерн с именем YY;
* MutliCtl, Sound2Ctl, Pitch2Ctl, Velocity2Ctl: диапазон параметра "Вых.контроллер" расширен до 255, что позволяет адресовать в том числе MIDI OUT контроллеры (CC0 = 128, CC1 = 129, ...) подключенных модулей;
* новые настройки визуализации модуля: опции фона (контур/заливка), шкала индикатора уровня (линейная/логарифмическая(дБ)/RMS), пиковый измеритель;
* в окне "Свойства проекта" добавлена настройка синхронизации: выбор принимаемых команд (старт/стоп, темп (MIDI clock), позиция);
* Настройки -> Основные: добавлена опция "автосохранение";
* Настройки -> MIDI: "канал предпрослушивания" задает MIDI-канал, с которого принимаются ноты во время предпрослушивания модуля (при выборе файла);
* Настройки -> MIDI: "источник синхронизации" задает MIDI-порт, с которого принимаются команды синхронизации;
* Настройки -> Таймлиния: добавлена опция "шестнадцатеричные номера строк";
* Настройки -> Интерфейс -> Сочетания клавиш: добавлены кнопки удаления [x];
* возможность прокрутки длинных строк в текстовых полях + улучшенная виртуальная клавиатура;
* базовая поддержка copy/paste (ctrl+c/v) во всех текстовых полях;
* Wi-Fi экспорт/импорт: дополнительная информация о файле: размер и дата изменения;
* экспорт в WAV: новый режим "Много файлов (подключения к выбранному)" - экспорт всех модулей, подключенных (как источники) к выбранному модулю;
* новый shortcut: SHIFT + 7 - циклический сдвиг вверх (для выделенной области в редакторе паттерна);
* новый shortcut: SHIFT + 8 - циклический сдвиг вниз;
* новая опция командной строки "-?" для получения помощи со списком всех доступных опций;
* новые опции командной строки: "-v <vol>" - установить громкость; "-t <line>" - перейти на указанную позицию таймлинии; "-p" - играть;
* новые опции командной строки: "-of <format>" - установить формат выходного файла (wav16 (по умолчанию) или wav32); "-o <filename>" - экспорт в файл;
* новые инструменты и эффекты в папках instruments и effects;
* новые примеры (examples/sunvox_compo - победители конкурса SunVox Compo 2019.03): Trackerbound - its over now; make a wish; Logickin Lambda - Soar Beyond; manganoid - Dash of Wind;
* новые примеры (examples): NightRadio - 5100, 5101, 5102, Sines of Night, Au; Manwe - Aquar.io Ambient; Philip Bergwerf - Venaya;
* обновленная версия библиотеки SunVox для разработчиков: https://warmplace.ru/soft/sunvox/sunvox_lib-1.9.5.zip;
* исправлены ошибки.
v1.9.4c обновление файлов (16 августа 2018):
* добавлена версия sunvox_for_old_cpu (Linux и Windows) для 64-битных процессоров без поддержки SSSE3;
* права доступа файлов обновлены для корректной работы в Linux и macOS.
v1.9.4c (3 августа 2018):
* небольшие исправления; в том числе, исправлена ошибка в модуле Feedback (потеря звука в стерео режиме);
v1.9.4b (31 июля 2018):
* исправлены ошибки.
v1.9.4 (29 июля 2018):
* iOS: файлы пользователя доступны через приложение Files;
* iOS: частичная поддержка USB/Bluetooth клавиатуры (без отпускания клавиш, без Home/End, без F1/F2/...);
* iOS: улучшенная поддержка экрана iPhone X;
* оптимизация звукового движка;
* индикация модулей, контроллеры которых привязаны к MIDI;
* дополнительная прокрутка списка контроллеров при нехватке места на экране;
* в анализатор спектра добавлена спектрограмма;
* детальные настройки анализатора спектра теперь доступны через главное меню -> Настройки -> Модули, или через файл конфигурации sunvox_config.ini;
* Amplifier: контроллер "Усиление" для усиления сигнала в 100, 1000 и более раз;
* Analog Generator: опция "Резкая атака/затухание" для включения мгновенных (со щелчком) атаки и затухания при нулевых значениях;
* Analog Generator: новые формы волны: "шум со сплайн-интерполяцией (сэмплер)", "белый шум", "розовый шум", "красный шум", "синий шум", "фиолетовый шум", "серый шум";
* Compressor: новый режим "пиковый без задержки" для компрессии/лимитирования без задержки, в противовес режимам "пиковый" и "RMS", которые задерживают сигнал на 1 мс;
* Distortion: новые типы: "foldback2", "foldback3", "переполнение";
* GPIO: количество адресуемых пинов (контактов) увеличено до 256;
* LFO: новая форма волны "случайная плавная" (аналогична случайной (5), но с более плавными переходами между уровнями);
* DrumSynth: три дополнительных контроллера панорамы для бочки, хэта и малого барабана;
* Kicker и DrumSynth: контроллер "панорама" теперь может задаваться локально (для каждой ноты отдельно);
* Kicker: контроллер "Усиление" (раньше назывался "Доп.громкость") снова работает после поломки в SunVox 1.6; для активации версия SunVox в свойствах проекта должна быть 1.9.4 и выше;
* MultiCtl: добавлены контроллеры "Отклик" и "Частота дискретизации" для плавного изменения выходных значений модуля; отклик=1000 - немедленное изменение (как раньше); отклик<1000 - плавное изменение; оптимальная частота = 150Гц, более высокие значения приведут к увеличению нагрузки на процессор;
* таймлиния: добавлена функция "установить начало повтора" для установки позиции, на которую программа перейдет по достижении конца проекта;
* эффект 03 (плавный переход на ноту): значение скорости перехода (XXYY) по умолчанию равно 256 (100 в шестнадцатеричном виде);
* новый код эффекта 24: взять ноту из строки XXYY на том же треке; к этой ноте прибавляется значение ноты (относительно C5), указанной слева от эффекта; например, "C5 .. .. 0024 0002" возьмет ноту из строки 2 без изменений, а "C4 .. .. 0024 0002" возьмет ноту из строки 2 и понизит ее на октаву; отсутствие ноты слева от эффекта равноценно C5 (без изменений); если номер модуля отсутствует (как в примере), то используется номер модуля из строки XXYY;
* новый код эффекта 25: случайным образом выбрать ноту из строки в диапазоне от XX до YY (включительно) на том же треке; в остальном эффекты 25-29 работают аналогично 24;
* новый код эффекта 26: взять ноту из трека XXYY в той же строке;
* новый код эффекта 27: случайным образом выбрать ноту из трека в диапазоне от XX до YY (включительно) в той же строке;
* новый код эффекта 28: взять ноту из строки XXYY на нулевом треке;
* новый код эффекта 29: случайным образом выбрать ноту из строки в диапазоне от XX до YY (включительно) на нулевом треке; см. пример "pat effect 29";
* в окне переназначения модуля добавлена кнопка "паттерн";
* горячие клавиши диалогового окна: Y или ENTER = первая кнопка слева; N = вторая кнопка; ESC = отмена; 1...9 = кнопки слева направо;
* если при экспорте в WAV указать имя файла "exporttest", то запустится тест скорости движка SunVox без сохранения на диск (создастся пустой файл);
* новый shortcut: CTRL + SHIFT + N - создать новый проект;
* новый shortcut: SHIFT + F10 - играть от курсора в паттерне;
* новые инструменты: keyboard/NR SuperSaw (lo-fi), analog11, analog12, pads/analog_distorted2, wind/NR Sax;
* новые инструменты и эффекты от других пользователей в папках instruments и effects;
* новые примеры в директории examples/simple_examples: idm, pat effect 29 random note from trk0;
* sunvox_config.ini: опция denorm 0/1 - выключить/включить денормализованные числа; не используйте, если точно не знаете, зачем оно нужно :)
* множество небольших изменений и улучшений;
* исправлены ошибки: искажение сигнала (щелчки на резких атаках) модулями Vibrato и Vocal Filter и др.
v1.9.3c (5 декабря 2017):
* macOS: исправлена ошибка в коде приема MIDI сообщений.
v1.9.3b (25 ноября 2017):
* iOS 7 больше не поддерживается;
* исправлены ошибки.
v1.9.3 (21 ноября 2017):
* поддержка 64-разрядных версий Windows (x86_64);
* Android (4.0 и выше): Настройки -> Интерфейс: добавлена опция "Скрыть системные панели" для полноэкранного режима;
* iOS: поддержка Audiobus 3 (с MIDI);
* macOS и Linux: экспериментальная поддержка функции "Wi-Fi экспорт/импорт" (как на iOS);
* Linux: теперь SunVox использует библиотеку SDL2 (libsdl2) вместо устаревшей SDL1.2;
* Windows, Linux, macOS с частотой дискретизации 48000 и выше: улучшено качество звучания модулей DrumSynth, Analog Generator и FM;
* оптимизация звукового движка;
* в окне "Свойства модуля" добавлена настройка MIDI IN для указания, какие MIDI команды можно принимать (выбор канала) и когда их принимать (два режима: "когда модуль выделен" и "всегда");
* самое масштабное обновление модуля Sampler с 2008 года;
* Sampler: добавлен алгоритм удаления щелчков (между двумя нотами на одном канале или во время резкого выключения ноты (без огибающей));
* Sampler: добавлены четыре новых огибающих для управления эффектом (с поддержкой полифонии); в качестве эффекта может выступать почти любой модуль SunVox (например, Filter или MetaModule); эффект сохраняется внутри сэмплера;
* Sampler: добавлена опция "Громкость не зависит от динамики";
* Sampler (редактор): колесо прокрутки теперь увеличивает/уменьшает участок ровно под курсором мыши, а не по центру окна, как было раньше;
* Sampler (редактор сэмпла): для петли (loop) добавлен параметр "Удержание"; если его включить, то сэмпл выйдет из петли после выключения ноты (Note OFF);
* Sampler (редактор сэмпла): более детальное увеличение (возможность рассматривать отдельные отсчеты);
* Sampler (редактор сэмпла): новые функции и одноименные горячие клавиши: "Начать выделение", "Закончить выделение", "Вставить с наложением";
* Sampler (редактор сэмпла): в меню добавлен новый эффект "Петля без щелчков" (crossfade loop);
* Sampler (редактор огибающей): длина и количество точек огибающих теперь не ограничены;
* Sampler (редактор огибающей): поддержка горячих клавиш Delete, Backspace, Insert, Tab, Влево, Вправо, Вверх и Вниз;
* Sampler (редактор огибающей): информация о выбранной точке показывается внизу; нажмите в этом месте, чтобы показать/скрыть дополнительные кнопки перемещения точки;
* Sampler (редактор огибающей): новые параметры огибающей: Усиление, Влияние динамики;
* Sampler (редактор огибающей): новые типы огибающих: Тон (высота тона), Контроллер эффекта;
* MetaModule: добавлена опция "События на выходе"; если включена, то MetaModule будет выводить все события (ноты, изменения высоты тона и т.д.), поступившие на внутренний модуль Output; см. примеры metamodule_arpeggiator3/4;
* MetaModule: поддержка эффекта 07 (установка фазы в процентах) для перемотки проекта (внутри MetaModule) в указанное место;
* MetaModule: в контроллер "Играть паттерны" добавлен режим игры без повтора (доходим до конца проекта и останавливаемся);
* Filter, Filter Pro, Flanger, LFO, Vibrato: анимация текущей фазы LFO (внутри контроллера "Установить фазу");
* Filter, Filter Pro, Flanger, LFO, Vibrato: входящие ноты сбрасывают фазу LFO в значение контроллера "Установить фазу";
* MultiSynth: добавлена опция "Триггер" (нажимаем ноту один раз, и она играет бесконечно, до тех пор, пока мы не нажмем ее снова);
* MultiSynth: добавлен контроллер "Влияние кривой2" - влияние второй кривой динамики; если 0, то будет использована линейная кривая по умолчанию;
* Reverb: добавлен контроллер "Случайная вариация";
* LFO: добавлен контроллер "Генератор" (всегда генерировать сигнал, даже если на входе модуля ничего нет);
* LFO: добавлена треугольная форма волны;
* редактор паттерна: новая функция "Распределить равномерно";
* в свойства проекта добавлен параметр "Временная сетка2" - подсветка на уровень выше;
* отмена случайных значений контроллеров (CTRL + R) через UNDO;
* в браузер файлов добавлены списки недавних файлов и папок; отключить эти списки можно в настройках интерфейса;
* размер музыкальной клавиатуры в браузере файлов теперь тоже можно менять;
* в браузере файлов теперь можно перейти в предыдущую директорию, нажав BACKSPACE или ВЛЕВО;
* новый shortcut: CTRL + P - распределить выделенные команды равномерно (редактор паттерна);
* новый shortcut: переназначить (редактор паттерна) - по умолчанию на эту функцию не назначены клавиши;
* почти все окна закрываются нажатием ESC;
* добавлен маленький шрифт для экранов с низким разрешением; настроить шрифты можно в окне Настройки -> Интерфейс -> Шрифты;
* Настройки -> Основные: добавлена кнопка "Лог" для просмотра и сохранения журнала событий SunVox;
* Настройки -> Интерфейс: добавлена опция "Кнопки масштабирования" для включения/выключения кнопок изменения масштаба (zoom +/-);
* Настройки -> Интерфейс -> Цветовая схема: добавлена возможность ручной настройки четырех основных цветов (с_0, c_1, c_2, c_3);
* много новых инструментов и эффектов в папках instruments и effects;
* новые примеры в директории examples: NightRadio - Reach for the Stars, Transient - Can It Be Beautiful;
* новые примеры в директории examples/simple_examples: sampler effect envelopes, metamodule_arpeggiator3, metamodule_arpeggiator4;
* обновлена документация: http://www.warmplace.ru/wiki/doku.php?id=sunvox:manual_ru;
* обновлен шаблон конфигурации (с описанием всех дополнительных опций и цветов): http://www.warmplace.ru/soft/sunvox/sunvox_config.ini;
* исправлены ошибки: залипание нот в Glide, глюки с виртуальным MIDI IN портом и Wi-Fi экспортом в iOS и др.
v1.9.2 (4 ноября 2016):
* Windows (7 и выше): поддержка мультитач;
* Linux: поддержка архитектуры arm64 (протестировано на одноплатном компьютере PINE64);
* Linux: поддержка поворота интерфейса (меняется в настройках SunVox);
* новый модуль Pitch2Ctl преобразует ноты в значения контроллера;
* новый модуль Velocity2Ctl преобразует параметр динамики нот в значение контроллера;
* в свойства проекта добавлен параметр "Временная сетка", который влияет на подсветку линий;
* опция "nowin" в файле sunvox_config.ini позволяет запускать SunVox без графического интерфейса; 
* главное меню: добавлена функция "Загрузить проект поверх" (загрузка нового проекта поверх текущего);
* теперь все новые паттерны располагаются ровно в указанном месте (в качестве указателя - крестик, аналогично окну с модулями);
* паттерны теперь копируются в файл, поэтому вставить их в новый проект можно даже после повторного открытия SunVox;
* Analog Generator: добавлены опции "Не сбрасывать фазу" и "Случайная фаза";
* Analog Generator: добавлены опции "Частота фильтра = частота ноты" и "Зависимость резонанса от динамики"; см. примеры analog_gen4 и analog_gen5;
* Analog Generator: добавлена форма волны "нарисованная со сплайн-интерполяцией";
* MultiSynth: добавлена кнопка "Установить" для точной установки значений кривой;
* Vibrato: добавлен контроллер "Экспоненциальная амплитуда" (для более плавной регулировки амплитуды колебаний);
* Kicker: добавлена форма волны "sin" (синус);
* LFO: добавлена форма волны "случайная";
* Loop: добавлен контроллер "Режим" для переключения между обычным проигрыванием и зеркальным (ping-pong); см. пример loop2;
* MetaModule: оптимизированный интерфейс + автоматические имена контроллеров по умолчанию;
* Sampler: добавлена опция "Остановить запись синхронно с проектом";
* MultiCtl: добавлен контроллер "Выходное смещение";
* верхняя граница частоты/задержки (только для таких единиц измерения, как мс и Гц) увеличена для модулей Echo, Delay, Vibrato и LFO;
* улучшенный импорт и экспорт MIDI: поддержка каналов, программ, банков и контроллеров; измененный алгоритм расчета времени;
* теперь можно быстро переключаться между текстовыми полями при помощи клавиш TAB и SHIFT+TAB;
* новый режим осциллографа (визуализатор модуля) - XY (X = амплитуда на левом канале; Y - амплитуда на правом канале);
* экранная музыкальная клавиатура теперь показывает названия всех нот, если ее немного растянуть;
* модули (маршрутизация): добавлена функция "Найти" (поиск модуля по имени);
* улучшенные подсказки в редакторе паттерна;
* если нажать на любом событии (команде) в паттерне, то соответствующий этому событию модуль будет подсвечен;
* свойства паттерна: добавлены кнопки "Сжать /2" и "Растянуть *2";
* окно Настройки -> Основные: добавлена опция "Сделать резервную копию (бэкап) проекта при 1ой перезаписи";
* окно Настройки -> Таймлиния: добавлена опция "Номера строк с ..." (показывать номера строк паттернов с 0 или 1);
* окно Настройки -> Таймлиния: добавлена опция "Размер ячейки сетки";
* окно Настройки -> Интерфейс: добавлена опция "Двойной клик" (макс. время двойного клика в мс);
* окно Настройки -> Интерфейс -> Масштаб: добавлен параметр "Масштаб шрифта";
* новый shortcut: CTRL + 1 - вкл/выкл mute для выбранного модуля;
* новый shortcut: CTRL + 2 - вкл/выкл solo для выбранного модуля;
* новый shortcut: CTRL + 3 - вкл/выкл bypass для выбранного модуля;
* новый shortcut: CTRL + 4 - сбросить mute и solo для всех модулей;
* новый shortcut: CTRL + F - найти модуль;
* версия sunvox_no_simd для Linux x86 временно удалена; вместо нее используйте sunvox_lofi;
* новые инструменты и эффекты;
* новые примеры в директории examples/simple_examples: analog_gen4, analog_gen5, dubstep, loop2, pitch2ctl ***;
* новые примеры песен в директории examples: Quantum Countdown, PalmSounds10, Kiberaver - Hard Motor;
* обновленная версия библиотеки SunVox для разработчиков: http://warmplace.ru/soft/sunvox/sunvox_dll.zip;
* исправлены ошибки.
v1.9.1 (9 января 2016):
* добавлен модуль генерации плавных переходов между нотами - Glide; работает аналогично MultiSynth, посылая команды подключенным на выход генераторам; см. пример использования в файле examples/simple_examples/glide.sunvox;
* новый инструмент в редакторе паттерна - Интерполятор (в виде отдельного окна); при помощи него можно делать плавные переходы в любых колонках паттерна, настраивая тип кривой перехода, количество шума, количество повторов и т.д.;
* новая функция в окне модулей - "заменить"; нужна для того, чтобы выбранный модуль заменить любым другим без потери соединений;
* MIDI-клавиши (с нотами), привязанные к каким-либо действиям в настройках SunVox (shortcuts), теперь не посылаются модулям;
* сохранение входящих MIDI-соединений при работе с JACK;
* Sampler: функции копирования и вставки теперь работают через файл, который сохраняется между сессиями;
* Sampler: добавлены новые эффекты (в редакторе сэмпла) "Инверсия" и "Центрировать";
* операция "вырезать" добавлена в окна таймлинии и модулей;
* LFO: добавлен контроллер "коэффициент заполнения" (только для прямоугольной формы волны);
* новый shortcut: SHIFT + > - выбрать следующий модуль;
* новый shortcut: SHIFT + < - выбрать предыдущий модуль;
* новый shortcut: CTRL + > - выбрать следующий синтезатор;
* новый shortcut: CTRL + < - выбрать предыдущий синтезатор;
* новый shortcut: CTRL + ВЛЕВО - выбрать следующий модуль по горизонтали;
* новый shortcut: CTRL + ВПРАВО - выбрать предыдущий модуль по горизонтали;
* новый shortcut: CTRL + ВНИЗ - выбрать следующий модуль по вертикали;
* новый shortcut: CTRL + ВВЕРХ - выбрать предыдущий модуль по вертикали;
* новые инструменты; в том числе DrumSynth48 от Cube48;
* новые примеры в директории examples/simple_examples: glide;
* новые примеры песен в директории examples: snowfall, победители конкурса SunVox Compo 2015.10 (KnyazIvan - fatal precession, OceanicDegree - Dreaming, echo2 - unreal love 3);
* исправлены ошибки.
v1.9b (26 июля 2015):
* для Linux x86 добавлена специальная версия sunvox_no_simd - на случай, если ваш процессор не имеет поддержки SIMD инструкций (SSE3, например);
* в окне "Свойства проекта" добавлено новое поле - "Основан на SunVox (версия)"; это версия движка SunVox, который используется в проекте - алгоритмы некоторых модулей (Compressor, например) слегка отличаются в разных версиях; 
* исправлены ошибки.
v1.9 (19 июля 2015):
* полный перевод интерфейса на русский язык; обратно на английский можно переключиться в настройках SunVox (в разделе Интерфейс);
* PalmOS и Meego больше не поддерживаются, но вы всегда можете скачать SunVox 1.8.1 с поддержкой этих систем на сайте warmplace.ru;
* Android: теперь SunVox-документы (sunvox, sunsynth, midi, xm, mod, xi и т.д.) могут быть открыты из других приложений (например, из браузера или почты);
* Android и iOS: оптимизация графики под OpenGL ES 2.0;
* добавлен модуль обратной связи - Feedback (см. примеры);
* добавлен модуль Filter Pro - фильтр повышенной точности; более медленный, чем модуль Filter, но более качественный и с большими возможностями фильтрации;
* в Preferences -> MIDI теперь можно задавать четыре MIDI устройства - для одновременного использования четырех MIDI-контроллеров;
* теперь любая кнопка или ручка на внешнем MIDI-контроллере может быть привязана к нескольким SunVox-контроллерам внутри любых модулей;
* любое сочетание клавиш (shortcut) теперь можно связывать с кнопкой на внешнем MIDI-контроллере; поддерживаются команды: Note, CC, Program Change;
* добавлено окно детальных настроек контроллера; чтобы открыть его, кликните дважды на нужном контроллере, или нажмите на нем правой кнопкой мыши;
* в окне детальных настроек контроллера вы сможете: точно настраивать значение контроллера, сбрасывать его, делать случайным, записывать в паттерн, привязывать к MIDI;
* MultiSynth: добавлен контроллер "Фаза" - стартовая позиция; нужна, например, для включения сэмпла не с начала;
* MultiSynth: добавлена поддержка эффектов 07 и 09; при использовании 07 к смещению прибавляется значение контроллера "Фаза";
* MultiCtl: добавлен контроллер "Квантование" - количество уровней квантования, для получения более ступенчатого изменения значений контроллера на выходе;
* Sampler: добавлен контроллер "Порог записи" - это уровень входящего сигнала, начиная с которого Sampler начнет записывать;
* Sampler: добавлена возможность импорта точек повторяющейся петли (loop points) из файлов в формате WAV;
* Generator: контроллер "P.Modulation" переименован в "Вход для част.модуляции", т.к. он включает частотную модуляцию;
* Filter: добавлен контроллер "LFO.форма волны";
* Amplifier: добавлен контроллер "Точная громкость" для дополнительного, более точного контроля громкости;
* Modulator: добавлен режим фазовой модуляции;
* новые функции в меню редактора паттерна: начать выделение, закончить выделение;
* немного изменен внешний вид редактора паттерна;
* новый код эффекта: 13 - Установить флаги Bypass/Solo/Mute (BSM = XYY) в указанном модуле; пример установки Mute: 13 0001; пример установки Solo: 13 0010;
* новый код эффекта: 14 - Сбросить флаги Bypass/Solo/Mute (BSM = XYY) в указанном модуле; пример сброса Bypass: 14 0100;
* новый shortcut: SHIFT + F12 - перейти в начало;
* новый shortcut: SHIFT + ) - подняться на октаву;
* новый shortcut: SHIFT + ( - опуститься на октаву;
* новый shortcut: CTRL + ( - начать выделение (редактор паттерна);
* новый shortcut: CTRL + ) - закончить выделение (редактор паттерна);
* новые инструменты от NightRadio, Pavel Ti, SolarLune и других авторов;
* новые примеры в директории examples/simple_examples: feedback, feedback2, modulator (phase modulation);
* новые примеры песен в директории examples: 4004, music_in_our_souls, awakening_city, Transient - Tablerock, победители конкурса SunVox Compo 2015.02 (Sirmooge - Phalanx, Pavel Ti - Boomer, KnyazIvan - Cold Summer);
* исправлены ошибки.
v1.8.1 (29 декабря 2014):
* частичный перевод интерфейса на русский язык (файловый диалог и настройки);
* визуализатор модуля Compressor стал больше;
* модуль GPIO теперь присутствует на всех устройствах (для удобства создания композиций с этим модулем), но полностью работает он по-прежнему только в Linux;
* исправлены ошибки.
v1.8 (17 ноября 2014):
* поддержка 32-битного (Floating Point) звука на Android и iOS устройствах; исключение - медленные устройства без FPU;
* поддержка частоты дискретизации отличной от 44100 на iOS и Android устройствах (только, если железо поддерживает выбранную частоту);
* iOS: поддержка Audiobus 2 и IAA (частично);
* новые функции в окне модулей: масштабирование с поддержкой multitouch, привязка к сетке;
* MetaModule: добавлена кнопка EDIT, нажав которую можно редактировать внутренности MetaModule без лишних операций Load и Save; при этом MetaModule может иметь внутри себя еще несколько МетаМодулей и так далее с бесконечным количеством вложений;
* MetaModule: добавлены следующие опции: Arpeggiator (изменение тональности паттернов внутри МетаМодуля), Apply velocity to song (применение силы нажатия клавиши на весь внутренний проект МетаМодуля);
* Sampler: добавлены следующие опции: Record on play (начать запись сразу после нажатия PLAY), Record in mono (записывать в моно), Record with reduced sample rate (записывать с пониженной в два раза частотой дискретизации), Record in 16bit (записывать только в 16-битном формате);
* улучшения модуля SpectraVoice: авто-рендер звука (без кнопки RENDER), дополнительный размер сэмпла (sample size), новые типы гармоник (random, triangle1, triangle2, overtones1, overtones2, overtones3, overtones4);
* Sound2Ctl: добавлена опция "Record Values" для живой записи всех значений, которые генерирует этот модуль; запись работает только в рамках основного режима записи SunVox (кнопка REC);
* поддержка команд смещения (эффекты 09 и 07) добавлена в модули Generator и Analog Generator;
* MultiSynth: добавлен новый контроллер "Random phase", задающий случайное смещение фазы модуля; например, можно заставить Sampler (подключенный к MultiSynth) каждый раз играть со случайной позиции;
* MultiSynth: добавлен новый контроллер "Random velocity", задающий степень случайности параметра Velocity;
* Analog Generator: добавлена новая опция "Filter freq. scaling per key (reverse)" - включение обратной зависимости частоты фильтра от высоты тона;
* Analog Generator: добавлен новый контроллер "Noise" для подмешивания белого шума в сигнал генератора (до фильтра);
* новая команда "Previous Track" (отображается в виде стрелочек влево) позволяет накладывать дополнительные эффекты на предыдущую дорожку паттерна; при этом в качестве доп. эффектов нельзя использовать 2x, 40..5F, 1D;
* в редакторе паттерна появилась новая кнопка "Spec.Cmd" - нажмите ее, если нужно вставить одну из специальных команд (Set Pitch или Previous Track);
* для того, чтобы быстро скопировать значение контроллера в паттерн, меняйте значение выбранного контроллера с нажатым SHIFT;
* по аналогии с копированием значения контроллера можно копировать значение тональности из окна Touch Theremin - просто нажимайте SHIFT в процессе игры;
* новый модуль - GPIO (только для Linux со включенным интерфейсом GPIO); при помощи него можно, например, посылать сигналы на внешние светодиоды, или опрашивать кнопки, подключенные к GPIO; см. пример raspberry_pi_gpio;
* в Preferences -> MIDI теперь можно задавать два MIDI устройства и, соответственно, играть на двух MIDI контроллерах одновременно;
* новый раздел в окне настроек Preferences -> Timeline;
* новая настройка: Preferences -> Timeline -> Show timeline; меняйте ее, если хотите изменить видимость окна Timeline при старте SunVox;
* новый shortcut: SHIFT + F9 - начать/закончить запись;
* новый shortcut (pattern editor): SHIFT + [ - понизить тональность выделенного участка паттерна на октаву;
* новый shortcut (pattern editor): SHIFT + ] - повысить тональность выделенного участка паттерна на октаву;
* новый shortcut (pattern editor): CTRL + m - вставить с наложением (из буфера обмена берутся только ненулевые элементы);
* новый shortcut (pattern editor): SHIFT + k - вставить команду "Prevous Track";
* новые примеры в директории examples/simple_examples: spectravoice2, metamodule_arpeggiator, metamodule_arpeggiator2, std_effect_multitrack, std_effect_multitrack2, std_effect_multitrack3, raspberry_pi_gpio;
* новые примеры песен в директории examples: alchemy_masters, full_moon_night, Twistboy - Translucent, Spline - Endless August, Knyazivan - Left Double Quotation Mark;
* исправлены ошибки.
v1.7.5 (26 июня 2014):
* iOS: поддержка 64-битного процессора;
* iOS: теперь SunVox-документы (sunvox, midi, xm, mod) могут быть открыты из других приложений (например, из браузера или почты);
* новый модуль - Pitch Shifter, для изменения тональности любого звука в реальном времени;
* добавлено окно переназначения клавиш (Shortcuts); найти его можно в Main Menu -> Preferences -> Interface;
* в модуль MultiCtl добавлена настраиваемая кривая значений (график зависимости выхода от входа);
* в настройки MIDI добавлена новая опция Octave Offset - для смещения базовой октавы вниз или вверх;
* поддержка утилиты avconv (libav) в системах без ffmpeg; SunVox может грузить звуковые файлы в любых форматах, если в системе установлены консольные утилиты ffmpeg или avconv;
* команда PR переименована в SP (Set Period - установить высоту тона);
* главное меню поделено на два отдельных: основное (слева) и меню редактора паттерна (справа);
* слегка изменен дизайн;
* функция Play (клавиша F9) теперь отвечает и за остановку проигрывания;
* новый shortcut: F10 - играть с начала;
* новые примеры в директории examples/simple_examples: crossfader;
* новые примеры песен в директории examples: Twistboy - Translucent, unspoken_words;
* исправлены ошибки.
v1.7.4b (4 февраля 2014):
* количество пользовательских контроллеров в MetaModule увеличено до 27;
* в модуль Delay добавлен контроллер "Delay units" для выбора единиц измерения параметров "Delay L" и "Delay R"; возможные варианты: sec/16384, ms, Hz, ticks, lines, lines/2, lines/3;
* в модуле Delay увеличена максимальная длина задержки: 1/4 секунды для PalmOS и 4 секунды для остальных систем;
* Main Menu -> Preferences -> Main: новая опция "Automatic session restore"; включите ее, если хотите скрыть стартовый диалог восстановления сессии;
* изменен шрифт в окне Timeline и добавлен режим автоматического переноса текста внутри паттерна;
* исправлены ошибки.
v1.7.4 (23 января 2014):
* появилась версия SunVox для Raspberry Pi;
* оптимизация движка;
* в настройках модуля (Module Properties) появилась возможность тонкой настройки визуализатора (тип индикатора уровня, тип осциллографа и т.д.);
* доступные режимы индикатора уровня: OFF, Mono, Stereo, Color, Glow effect;
* доступные режимы осциллографа: OFF, Points, Lines, Bars, Bars2 (symmetrical), Stereo phase scope (Goniometer), Stereo phase scope x2;
* настройки визуализатора по умолчанию можно задать в основном меню SunVox -> Preferences -> Modules -> Default visualizer;
* новый модуль - Sound2Ctl, конвертирует звук в цифровое значение любого контроллера на выходном модуле;
* новый модуль - MultiCtl, позволяет управлять несколькими контроллерами (на разных модулях) одновременно, изменяя значение всего одного базового контроллера;
* в модуль WaveShaper добавлен контроллер "DC filter" (DC Blocking Filter); по умолчанию он включен, что означает активность DC фильтра;
* в модуль Amplifier добавлен контроллер "Absolute"; включайте его, чтобы на выходе получить абсолютные значения амплитуды;
* MultiSynth: добавлены новые кнопки: Options, Reset, Smooth, Load, Save;
* MultiSynth: теперь можно переключаться между разными режимами огибающей Velocity в меню Options;
* DrumSynth теперь поддерживает команды изменения velocity;
* опция "Change font size" (изменить размер шрифта редактора паттерна) переименована в "Scale" (изменить масштаб); кроме того, масштаб редактора паттерна теперь можно менять плавно на любом устройстве;
* теперь вместо иконки у паттерна можно задавать имя (в соотв. текстовом поле окна Pattern properties);
* параметр Scale (масштаб) теперь можно задавать для каждого модуля индивидуально (в окне Module Preferences или используя комбинацию CTRL + MOUSE WHEEL);
* добавлена возможность ручного изменения ориентации экрана (только для Android, WinCE и PalmOS): Preferences -> Interface -> Angle;
* в файловый браузер добавлены новые функции: Remove, Rename, Cut, Copy, Paste, Create Directory;
* файловый браузер теперь отображает размер файлов (за исключением PalmOS версии);
* новые примеры в директории examples/simple_examples: sound2ctl*, drumsynth*;
* новые примеры песен в директории examples: moon_secrets, CsardasContinuum (by Frantisek Fuka (Fuxoft)), berlin_fm_-_nt, visualizer_demo, silence_artifacts;
* исправлены ошибки.
v1.7.3c (14 мая 2013):
* дополнительные формы волны для модуля LFO: sin2 (правильный синус для панорамы), saw, saw2;
* теперь реал-тайм запись звука идет в выбранный слот Сэмплера;
* исправлена ошибка с приемом MIDI сообщений через JACK;
* исправлена ошибка с вычислением базовой ноты сэмпла;
* теперь базовая нота для Vorbis Player - C5;
* новая песня (examples): april_song.
v1.7.3b (27 апреля 2013):
* исправлено несколько ошибок (поддержка широкого экрана iPhone5, Audiobus, небольшая ошибка в движке интерфейса). 
v1.7.3 (12 апреля 2013):
* iOS: появился виртуальный MIDI-порт для более удобного подключения SunVox к другим iOS-программам (секвенсорам);
* iOS: поддержка Audiobus;
* iOS: поддержка нового размера экрана iPhone;
* поддержка JACK Audio Connection Kit (для iOS и Linux);
* улучшен алгоритм модуля Compressor;
* по умолчанию базовая нота для загруженных WAV/AIFF сэмплов равна C5;
* в SunVox-файле теперь сохраняется дополнительная информация: позиция курсора timeline, текущий выделенный модуль, активный паттерн;
* оптимизация движка;
* дополнительные опции драйвера ASIO;
* теперь модуль Input доступен также для Linux (ALSA), Windows (MME,DirectSound,ASIO), Windows Mobile (только с full duplex драйверами) и OSX;
* расширенный список для установки размера аудио-буфера в Preferences->Audio: 128, 256, 512, 768, 1024, 1280, 1536, 1792, 2048, 2560, 3072, 4096;
* новые опции в Preferences->Audio: Driver, Output Device, Input Device, Frequency;
* новая опция в Preferences->Interface: Window Parameters (размер окна, полноэкранный режим); полноэкранный режим работает только в Windows and Linux;
* для модуля MultiSynth добавлены опции: Use static note C5 (играть все ноты как C5); Ignore notes with zero velocity (игнорировать ноты с нулевым velocity);
* новая функция в редакторе паттерна - Slice by cursor (разрезать паттерн на два, используя текущее положение курсора);
* SunVox теперь может загружать файлы в формате MIDI;
* добавлена поддержка следующих MIDI-команд: Start, Continue, Stop;
* количество пользовательских контроллеров модуля MetaModule теперь можно менять от 0 до 13;
* добавлена возможность принимать MIDI сообщения со всех каналов одновременно - для это достаточно выставить значение ANY в соотв. поле Preferences->MIDI;
* новая опция в Preferences->Interface: Show virtual keyboard; используйте ее, если нужно включить или выключить виртуальную текстовую клавиатуру;
* скроллинг сэмпла в Sampler Editor в режиме выделения, когда курсор уходит за пределы окна;
* в меню Timeline добавлены функции Mute/Solo для отключения/включения отдельных паттернов;
* Vorbis Player теперь понимает команды смещения (эффекты 09 и 07);
* теперь новый паттерн можно создать, нажав два раза на пустой области окна Timeline;
* новая функция в окне Timeline - Slice Pattern(s) (разрезать выделенные паттерны); паттерны будут разрезаны в том месте, в котором находится курсор текущей позиции проигрывания;
* новый код эффекта - 23 для присвоения случайного значения от XX (00..FF) до YY (00..FF) указанному контроллеру;
* новый код эффекта - 1F для установки BPM от 1 (в то время, как эффект 0F позволяет установить BPM только от 32);
* новые песни: Manwe - Early Fall remake (original by Tangrine), kostya_m - Midnight, take_my_hand, follow_the_sun;
* новые примеры в директории examples/simple_examples: metamodule_test, metamodule_with_automation, random_ctl_values_with_range, trance, compressor2;
* новые инструменты (pads): moving_pad, vocal_synth, filter_slide_up, analog, analog2, analog3, analog_distorted, space, violin, violin2, violin3, violin4;
* новый инструмент (keyboard): analog10, fm2, bell2;
* исправлены ошибки.
v1.7.2b (22 сентября 2012):
* исправлена ошибка с зависанием Сэмплера;
* изменения в файловых функциях WinCE версии;
* Android: добавлена возможность переносить приложение на SD-карту;
* Android: теперь после нажатия кнопки Back появляется диалог для подтверждения выхода;
* исправлены баги.
v1.7.2 (3 сентября 2012):
* для пользователей Android: если экран вашего устройства периодически мигает, попробуйте поместить файл option_glnoretain.txt (с любым содержимым) на карту памяти устройства в директорию Android/data/nightradio.sunvox/files/;
* теперь композиции в трекерных форматах XM и MOD можно грузить напрямую из SunVox, без внешнего конвертера; для этого заходите в основное меню и нажимайте Load Song;
* расширен список поддерживаемых эффектов при конвертации из XM/MOD в SunVox;
* новый код эффекта - 30; приводит к остановке проигрывания композиции;
* новый контроллер в модуле Reverb - "All-pass filter"; используйте его для отключения/включения выходного фазового фильтра; при выключенном фильтре модуль работает быстрее;
* новый контроллер в модуле Reverb - "Room size" для выбора размера виртуальной комнаты;
* new controller in the Reverb module - "Room size";
* включен режим автоповтора (при длительном нажатии) для следующих кнопок: HLD (очистить текущую ноту), OFF (поставить окончание ноты), INS (вставка пустой ноты со сдвигом вниз), BCK (удаление ноты со сдвигом вверх);
* специально для больших проектов добавлены 8 слоев для модулей; например, часть модулей может находиться на одном слое, часть - на другом;
* новая функция "Scale" в меню окна с модулями: используйте ее, если нужно сделать размер модулей больше или меньше для текущего проекта;
* изменение размера модулей колесом прокрутки мыши или скроллом на тачпаде;
* новый модуль - WaveShaper;
* новый модуль - MetaModule; при помощи него вы можете включать в ваш проект другие .sunvox проекты (композиции) и использовать их в роли синтезаторов или эффектов; данный модуль не доступен для PalmOS;
* новые опции в Preferences->Recording: Pattern fit to grid (подгонка размера паттерна под сетку), Note quantization, Controller quantization;
* в настройки (Preferences->MIDI) добавлена опция "Ignore velocity"; включайте ее, если вам не нужна запись силы нажатия;
* новая опция в Preferences->Audio: Audio buffer size (размер аудио-буфера); чем меньше этот размер, тем меньше задержка;
* пустой параметр эффекта vibrato 04 теперь воспринимается, как "использовать предыдущий параметр"; работает только для песен, созданных в новой версии SunVox 1.7.2 и выше;
* новая опция "smooth frequency change" (плавное изменение частоты) в Analog Generator; по умолчанию включена; выключите ее, если хотите использовать эффект arpeggio 08;
* добавлена карта распределения velocity в MultiSynth;
* улучшен CPU Usage Monitor - теперь со скроллингом и возможностью выбора модуля;
* максимальное кол-во треков в паттерне увеличено с 8 до 16;
* максимальная длина буфера в модуле Echo увеличена до 4 секунд (за исключением PalmOS версии, где длина по прежнему равна 1 секунде);
* новый контроллер в модуле Echo - "Delay units" для выбора единиц измерения параметра Delay (доступны ms, Hz, ticks, lines);
* новый контроллер в модуле Filter - "LFO frequency units" для выбора единиц измерения параметра LFO frequency;
* новый контроллер в модуле Flanger - "Vibrato speed units" для выбора единиц измерения параметра Vibrato speed;
* новый контроллер в модуле LFO - "Frequency units" для выбора единиц измерения параметра Frequency;
* новый контроллер в модуле Vibrato - "Frequency units" для выбора единиц измерения параметра Frequency;
* новый контроллер в модуле Vibrato - "Set phase" (установка фазы);
* новые примеры (simple_examples): MIDI_out, waveshaper, velocity_map, reverb2, reverb3;
* новый инструмент (instruments/bass): analog_bass;
* новый инструмент (instruments/pads): synth_violin;
* новые инструменты (instruments/keyboard): piano14, piano15, space, space2;
* новые инструменты (instruments/various): electric_guitar, noise_slide_up, electro_drum_loop;
* инструменты (в папке instruments/keyboard) piano03.wav, piano04.wav, piano05.wav заменены на piano03.sunsynth, piano04.sunsynth, piano05.sunsynth;
* оптимизация движка;
* исправлены баги.
v1.7 (9 апреля 2012):
* порт на Android; 
* порт на Meego; 
* реал-тайм запись таких звуковых событий, как: ноты, изменения контроллеров и Touch Theremin; метроном можно включить в Preferences; 
* новый модуль Analog Generator для теплого аналогового звука;
* добавлена кнопка B - Bypass; 
* добавлена кнопка V - изменение внешнего вида окна контроллеров: 1, 2, 3 или 4 колонки; 
* увеличена полифония с 16 до 32 для модулей Sampler и SpectraVoice; 
* кол-во слотов в Сэмплере увеличено с 16 до 128; 
* в модуль Filter добавлен параметр "Roll-off" (dB per octave): 12dB; 24dB; 36dB; 48dB; 
* теперь сэмплы можно грузить напрямую через диалог Load Module; модуль Sampler будет создан автоматически; 
* в диалоге Load Module добавлена предпрослушка (включается кнопкой Preview); 
* в модуль LFO добавлен моно-режим; если нужна экономия - LFO в моно-режиме работает быстрее; 
* новые функции в Main Menu -> Edit: Shrink pattern and Expand pattern - для сжатия/растягивания паттерна в 2 раза; 
* новый эффект 40...5F - задержка события на долю строки (линии): от 0% (40) до 100% (5F); задерживать можно не только ноты, но и установку значений контроллеров; 
* новый эффект 04 - вибрато с параметрами XXYY, где XX - частота, YY - амплитуда; 
* новый эффект 22 - присвоение случайного значения от 0 до XXYY указанному контроллеру; 
* новый контроллер в модуле Filter - "Exponential freq" для экспоненциального изменения частоты; 
* в редактор сэмпла добавлена новая функция "Stereo to mono"; 
* новая опция в файле sunvox_config: pencontrol - принудительная оптимизация интерфейса под перо/мышь; 
* новая опция в файле sunvox_config: ppi - кол-во экранных пикселей на дюйм; интерфейс масштабируется под это значение; 
* новая опция в файле sunvox_config: scale - коэффициент масштабирования интерфейса (норма=256); 
* новая опция в файле sunvox_config: synths_min_num - минимальное количество модулей по горизонтали; 
* в Preferences добавлены новые параметры для гибкой настройки масштаба интерфейса программы; 
* Windows: DirectSound теперь стоит по умолчанию; если нужен ASIO, то это можно прописать вручную в файле sunvox_config; 
* iOS: в браузере файлов по Wi-Fi добавлена функция создания директорий; 
* новые примеры: electrohouse, afternoon, pong, space_trip, 8bit_tales, sfields1, 1bit; 
* новые инструменты; 
* оптимизация звукового движка; 
* исправлена куча багов. 
v1.6.4 (3 августа 2011):
* новый модуль: Side Chain Compressor; 
* новый модуль: DrumSynth - барабанный синтезатор с 120 пресетами; 
* новый модуль: Amplifier (усилитель); 
* добавлен потрековый экспорт в WAV; 
* двойной клик в пустой области звуковой сети - добавление нового модуля; 
* двойной клик на паттерне в таймлинии - открытие окна с параметрами паттерна; 
* максимальный BPM увеличен до 800; 
* в Generator'е форму волны с типом 4 (dirty) теперь можно рисовать; 
* добавлены новые примеры; 
* iOS: добавлен стерео-режим в модуль Input; 
* iOS: в главное меню добавлен пункт Online Help. 
* исправлена куча багов.
v1.6.2 (13 мая 2011):
* в версиях для наладонников и смартфонов в 4 раза уменьшен уровень шума квантизации (повышена битность); 
* для слабых компьютеров под Win32 или Linux (x86) добавлены Lo-Fi версии SunVox; в них вместо Floating point 32bit используются алгоритмы Fixed point 13.3; 
* улучшено качество звучания модулей Generator и SpectraVoice; 
* новые формы волны в модуле Generator: half-sine (6); abs-sine (7); pulse-sine with duty cycle (8); 
* в окно редактора модулей добавлены функции copy/paste; 
* в модуль MultiSynth добавлен контроллер Velocity; 
* поддержка ASIO под Windows; 
* Sampler теперь может записывать в реальном времени сигналы с других модулей; модули-генераторы достаточно подключить на вход сэмплера и нажать кнопку "Rec", "Rec mono" или "Rec LoFi"; кнопки расположены под контроллерами сэмплера; 
* добавлена базовая поддержка MIDI IN/OUT в версиях для Linux (ALSA), OSX и iOS (CoreMidi), Windows (MM); 
* поддерживаемые MIDI IN команды: NoteON/OFF; 
* поддерживаемые MIDI OUT команды: NoteON/OFF; Control Change; Program Change; Bank Select; 
* чтобы из паттерна управлять внешними MIDI-контроллерами (посылка MIDI Control Change), используйте контроллер с номером 80+X; где X - это номер MIDI-контроллера; например: 8100 8000 - установить MIDI-ручку Modulation (она имеет номер 1) на максимум; 
* добавлен модуль Input для приема сигнала с микрофона или линейного входа; в данной версии Input есть только для iOS, но в в следующих версиях появится и для остальных систем; 
* iOS: в редакторе паттерна добавлен джойстик для более точного позиционирования курсора; 
* iOS: добавлен Audio Copy/Paste (Intua Audio Sharing); совместим с Sonoma; где находится: Main menu -> Export/import -> Copy/Paste; 
* iOS: поддержка мультитач на клавиатуре пианино и в Touch Theremin; 
* добавлено окошко Preferences (вызывается из главного меню); 
* поддержка templates - это пользовательский sunvox файл, который будет грузиться каждый раз при старте и после выполнения команды New; задается в Preferences; 
* исправлен баг с перегрузкой EQ модуля; 
* добавлены новые примеры треков и инструменты (сэмплы); 
* исправлена куча ошибок.
v1.6 (10 декабря 2010):
* оптимизация и улучшение интерфейса; 
* порт для Maemo (проверялось на Nokia N900); 
* iOS: добавлена функция блокировки поворота экрана; 
* поддержка многозадачности iOS 4; 
* iOS: включена поддержка обмена файлами через iTunes; 
* добавлен анализатор спектра; 
* добавлен новый модуль - OGG Vorbis Player (не работает на PalmOS устройствах); 
* добавлен новый модуль - Amplitude Modulator (умножитель); 
* в модуль "Distortion" добавлен контроллер "Noise"; 
* в модуль "Filter" добавлен контроллер "LFO"; 
* улучшено качество звучания модуля "FM"; 
* улучшено качество звучания модуля "Kicker"; 
* поддержка кубической интерполяции в сэмплере; 
* поддержка цветовых тем; кроме списка готовых тем можно задавать свои собственные в файле sunvox_config при помощи опций theme, c_0, c_1, c_2 и c_3; theme - включение поддержки пользовательских цветовых тем; с_0 - с_3 - базовые четыре цвета, их можно использовать, например, так: c_0 #00FF80; 
* поддержка UNDO/REDO (через CTRL + Z / CTRL + Y / SHIFT + CTRL + Z); 
* добавлена настройка шага редактирования паттерна; например, если шаг установить в 4, то курсор будет перепрыгивать 4 линии после ввода очередной ноты; 
* CTRL + минус - уменьшить шаг редактирования; 
* CTRL + плюс - увеличить шаг редактирования; 
* исправлена ошибка в обработке режимов solo/mute модулем "MultiSynth"; 
* добавлена функция переназначения номеров модулей в паттерне (основное меню -> edit -> remap); это нужно, например, в случае, если вы написали мелодию на модуле с номером 4, а затем захотели чтобы ее играл модуль с номером 8; 
* sunvox_config: добавлена опция "zoom" для увеличения размера пикселей; работает на устройствах с Linux+SDL и WinCE+RAW; пример использования: zoom 2; 
* добавлены новые примеры; 
* исправлена куча багов.
v1.5.5 (4 мая 2010):
* новый контроллер в модуле "Generator" - "Duty cycle" (работает только для прямоугольной формы волны); 
* предпрослушка сэмплов прямо в файловом диалоге; 
* редактор внутри сэмплера теперь сигнализирует о своем состоянии (показываются активные ноты, бегут указатели и пр.); 
* новый shortcut (для pattern editor): CTRL + D - размножить выделенный участок паттерна; 
* новый shortcut (для pattern editor): CTRL + I - интерполировать параметры (крайняя правая колонка в треке) контроллеров или эффектов; 
* новый shortcut (для pattern editor): CTRL + U - интерполировать значение velocity; 
* новый shortcut (для sound network): CTRL + N - добавить новый синт; 
* новый shortcut (для sound network): CTRL + R - установить случайным образом контроллеры выбранного синта; 
* новый shortcut (для timeline): CTRL + N - добавить новый паттерн; 
* новый shortcut (для timeline): CTRL + D - клонировать паттерн(ы); 
* новый shortcut (для timeline): CTRL + C - скопировать паттерн(ы) в буфер; 
* новый shortcut (для timeline): CTRL + V - вставить паттерн(ы) из буффера; 
* новый shortcut (для timeline): CTRL + A - выделить все паттерны; 
* поддержка 24битных WAV-сэмплов; 
* экспериментальная поддержка форматов MP3/OGG/FLAC/... под Linux - только при наличии утилиты ffmpeg в системе. 
* исправлен баг с FM-синтом.
v1.5.1 (03 апреля 2010):
* оптимизация движка; 
* новый модуль: DC Blocker (фильтр DC смещения); 
* новый модуль: EQ (3х-полосный эквалайзер); 
* новый модуль: MultiSynth (транслирует ноты на неограниченное кол-во подключенных к нему синтов); 
* теперь прямо на синте/эффекте видно форму волны, которую он генерирует; 
* общий индикатор уровня сигнала становится красным, если уровень превысил норму (clipping); 
* модулям (синтам и эффектам) можно задавать цвет; 
* простой экспорт в MIDI; 
* поддержка сэмплов в формате AIFF; 
* sunvox_config: опция "flip" заменена на "rotate"; пример использования: rotate 90 //повернуть экран на 90 градусов; 
* sunvox_config: добавлена опция "maxfps" для указания максимального кол-ва кадров в секунду; меньшее значение - меньше загрузка процессора; 
* sunvox_config: добавлены опции для контроля размера синтов/эффектов на экране: synth_max_xsize, synth_min_xsize, synth_xsize_divider, synth_ysize_multiplier; 
* sunvox_config: опции "no_scopes" и "no_levels" для медленных устройств; 
* теперь SunVox может грузить опции как из sunvox_config.ini, так и из sunvox_config.txt. 
v1.4.5 (11 октября 2009):
* добавлен новый модуль: Vibrato; 
* добавлена синусоидальная форма волны в "generator"; 
* добавлены эффекты 11 and 12 - плавное повышение/понижение тона (аналог MOD-овских E1 и E2); 
* добавлен эффект 20 - установка вероятности (от 0 до 8000) того, что данная нота прозвучит :) это для всяческих непредсказуемых ритмов и бесконечных мелодий; 
* добавлен эффект 21 - тоже, что и 20, но со случайным velocity; 
* в примеры добавлен трек endless_song, демонстрирующий эффекты 20 и 21; 
* новый функционал в сэмплере: ресэмплинг; параметрический volume fade; режим рисования волны; 
* более удобная функция "transpose" в редакторе паттернов; 
* добавлен режим "pattern follow" - работает только при проигрывании одного паттерна; 
* оптимизация звукового движка - SunVox меньше грузит процессор.
v1.4 (24 июля 2009):
* версия для iPhone; 
* версия для Mac OS X; 
* поддержка multitouch дисплея в iPhone; 
* редизайн интерфейса; 
* новый редактор иконок (теперь в отдельном окне); 
* обновленный сэмплер (для каждого сэмпла теперь хранится его родная частота и высчитывается базовая нота); 
* sunvox_config.ini: новая опция "touchcontrol"; эту опцию стоит использовать, если на вашем устройстве ввод организован через прикосновение пальцем, или если вы просто хотите интерфейс с крупными кнопками; 
* sunvox_config.ini: теперь опция "audiodevice" работает и в Windows (в том числе в Windows Mobile); пример: audiodevice 1 //использовать второе аудиоустройство, установленное на вашем ПК; 
* новый эффект 19 - "re-trigger" ноты с периодом в XXYY тиков; 
* новый эффект 1C - отключение ноты спустя XXYY тиков с момента начала линии; 
* новый эффект 1D - задержка ноты на XXYY тиков; 
* добавлены соответствующие примеры: std_effect_retrig.sunvox; std_effect_cut.sunvox; std_effect_delay.sunvox; 
* функция "hide effects" в меню редактора паттернов - для скрытия колонки с эффектами; 
* экспериментальный инструмент "Touch Theremin" для живой игры; пока без режима записи; 
* пофиксена куча багов. 
v1.1 (26 октября 2008):
* добавлены новые модули: Stereo-delay, LFO, FM-синтезатор, Reverb, Vocal Filter; 
* добавлен контроллер "anticlick" в модуле "kicker"; 
* добавлен контроллер "vibrato type" в модуле "flanger"; 
* добавлен контроллер "mix" в модуле "filter" для плавной регулировки уровня исходного сигнала относительно фильтрованного; 
* добавлен новый режим "cubic interpolation" в модуль "SpectraVoice"; (работает только на десктопах с FPU); 
* новая фича: изменение размера шрифта в редакторе паттерна; 
* новая фича: main menu -> edit -> interpolate velocity (интерполяция поля velocity в выделенном участке паттерна); 
* новые примеры: city_dreams, forests, pong, window; 
* новые примеры в разделе "simple examples": delay, delay2, reverb, lfo, fm, voice; 
* исправлены баги с экраном на PalmOS-девайсах; 
* добавлен графический редактор сэмплов и огибающих в модуль "sampler"; 
* поддержка ALSA в Linux; 
* передизайнены некоторые элементы интерфейса; 
* оптимизация. 
v1.0 (5 апреля 2008):
* первый релиз.
